Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions
zonetab.h File Reference

Go to the source code of this file.

## Data Structures
struct | zone
struct | stringpool_t

## Macros
#define | gperf_offsetof(s, n) (short)offsetof(struct s##_t, s##_str##n)
#define | TOTAL_KEYWORDS 316
#define | MIN_WORD_LENGTH 1
#define | MAX_WORD_LENGTH 17
#define | MIN_HASH_VALUE 2
#define | MAX_HASH_VALUE 619
#define | GPERF_DOWNCASE 1
#define | GPERF_CASE_STRNCMP 1
#define | stringpool ((const char *) &stringpool_contents)

## Functions
const struct zone * | zonetab (register const char *str, register size_t len)

## Macro Definition Documentation

## ◆ GPERF_CASE_STRNCMP

#define GPERF_CASE_STRNCMP 1

Definition at line 76 of file zonetab.h.

## ◆ GPERF_DOWNCASE

#define GPERF_DOWNCASE 1

Definition at line 51 of file zonetab.h.

## ◆ gperf_offsetof

#define gperf_offsetof | ( |  | s,
|  |  | n
| ) |  | (short)offsetof(struct s##_t, s##_str##n)

Definition at line 32 of file zonetab.h.

## ◆ MAX_HASH_VALUE

#define MAX_HASH_VALUE 619

Definition at line 47 of file zonetab.h.

## ◆ MAX_WORD_LENGTH

#define MAX_WORD_LENGTH 17

Definition at line 45 of file zonetab.h.

## ◆ MIN_HASH_VALUE

#define MIN_HASH_VALUE 2

Definition at line 46 of file zonetab.h.

## ◆ MIN_WORD_LENGTH

#define MIN_WORD_LENGTH 1

Definition at line 44 of file zonetab.h.

## ◆ stringpool

#define stringpool ((const char *) &stringpool_contents)

Definition at line 804 of file zonetab.h.

## ◆ TOTAL_KEYWORDS

#define TOTAL_KEYWORDS 316

Definition at line 43 of file zonetab.h.

## Function Documentation

## ◆ zonetab()

const struct zone* zonetab | ( | register const char * | str,
|  | register size_t | len
| ) |  |

Definition at line 806 of file zonetab.h.

References gperf_offsetof, key, MIN_WORD_LENGTH, and stringpool.